<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

if($_GET['cliente']) $cliente=$_GET['cliente']; else if($_POST['cliente']) $cliente=$_POST['cliente'];
if($_GET['fecha']) $fecha=$_GET['fecha']; else if($_POST['fecha']) $fecha=$_POST['fecha'];
if($_GET['tarifa']) $tarifa=$_GET['tarifa']; else if($_POST['tarifa']) $tarifa=$_POST['tarifa'];

$fecha=fechaParaProxium(fechaMysql($fecha));

if(!$tarifa) {

	//Solo si no hay tarifa, es cuando hacemos la llamada para cargar los datos

	//CIPClienteDescargasServicios#EP#1#20200514
	
	$peticion='CIPClienteDescargasServicios#'.$_SESSION['empresa'].'#'.$cliente.'#'.$fecha;
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
	if($_GET['traza']=='si') {
		echo "<p>".$peticion."</p>";
		print_r($resultado);
	}
	
	$_SESSION['parteCIP']['Tarifa']=$resultado[0]['Tarifa'];
	
	$_SESSION['parteCIP']['Descargas']=arreglaArrayPXMobileProxiumResult($resultado[0]['LineasDescarga']);
	$_SESSION['parteCIP']['Servicios']=arreglaArrayPXMobileProxiumResult($resultado[0]['LineasServicio']);
	
}

//print_r($_SESSION['parteCIP']['Descargas']);
//echo '<hr>';
//print_r($_SESSION['parteCIP']['Servicios']);

if( count($_SESSION['parteCIP']['Descargas'])>0 || count($_SESSION['parteCIP']['Servicios'])>0 ) { 
?>

<table class="tablaFormateada CIPtabla" style="width:100;" id="tablaOperaciones">
	<tr><th colspan="6">OPERACIONES</th></tr>
    <?php if(count($_SESSION['parteCIP']['Descargas'])>0) { ?>
	<tr class="encabezado"><td></td><td>Descarga</td><td>Cantidad</td><td>Unidad de medida</td>
	</tr>
	<?php foreach( $_SESSION['parteCIP']['Descargas'] as $descarga ) { ?>
		<tr>
        	<td align="center">
            	<input type="checkbox" name="operacion-Descargas-selector-<?php echo $descarga['Codigo']; ?>" id="operacion-Descargas-selector-<?php echo $descarga['Codigo']; ?>" class="checkGrande checkDescarga" codigo="<?php echo $descarga['Codigo']; ?>" <?php if($descarga['Seleccionado'] || $descarga['Cantidad']>0) { ?>checked<?php } ?>/>            </td>
            <td align="left"><p class="sinMargen"><?php echo $descarga['Descripcion']; ?></p></td>
            <td>
                <div class="CIPcampoBloque">
                    <img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="CIPiconoCalculadora" id="tecladoDescarga<?php echo $descarga['Codigo']; ?>Cantidad" />
                    <input name="operacion-Descargas-cantidad-<?php echo $descarga['Codigo']; ?>" type="text" class="campo cantidad CIPcampo mini calculadoraAutomatica campoCantidadDescarga" id="operacion-Descargas-cantidad-<?php echo $descarga['Codigo']; ?>" autocomplete="off" value="<?php echo $descarga['Cantidad']; ?>" codigo="<?php echo $descarga['Codigo']; ?>" />
                    <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarDescarga<?php echo $descarga['Codigo']; ?>Cantidad" class="CIPiconoBorrar botonBorrarDescarga" codigo="<?php echo $descarga['Codigo']; ?>"/>                </div>            </td>
            <td align="center"><p class="sinMargen"><?php echo $descarga['Unidadmedida']; ?></p></td>
		</tr>
	<?php } ?>
    <?php } ?>
    <?php if(count($_SESSION['parteCIP']['Servicios'])>0) { ?>
	<tr class="encabezado"><td></td><td>Servicio</td><td>Cantidad</td><td>Unidad de medida</td>
	</tr>
    <?php foreach( $_SESSION['parteCIP']['Servicios'] as $servicio ) { ?>
		<tr>
        	<td align="center">
            	<input type="checkbox" name="operacion-Servicios-selector-<?php echo $servicio['Codigo']; ?>" id="operacion-Servicios-selector-<?php echo $servicio['Codigo']; ?>" class="checkGrande checkServicio" codigo="<?php echo $servicio['Codigo']; ?>" <?php if($servicio['Seleccionado'] || $servicio['Cantidad']>0) { ?>checked<?php } ?>/>            </td>
            <td align="left"><p class="sinMargen"><?php echo $servicio['Descripcion']; ?></p></td>
            <td>
                <div class="CIPcampoBloque">
                    <img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="CIPiconoCalculadora" id="tecladoServicio<?php echo $servicio['Codigo']; ?>Cantidad" />
                    <input name="operacion-Servicios-cantidad-<?php echo $servicio['Codigo']; ?>" type="text" class="campo cantidad CIPcampo mini calculadoraAutomatica campoCantidadServicio" id="operacion-Servicios-cantidad-<?php echo $servicio['Codigo']; ?>" autocomplete="off" value="<?php echo $servicio['Cantidad']; ?>" codigo="<?php echo $servicio['Codigo']; ?>" />
                    <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarServicio<?php echo $servicio['Codigo']; ?>Cantidad" class="CIPiconoBorrar botonBorrarServicio" codigo="<?php echo $servicio['Codigo']; ?>"/>                </div>            </td>
            <td align="center"><p class="sinMargen"><?php echo $servicio['Unidadmedida']; ?></p></td>
		</tr>
	<?php } ?>
    <?php } ?>
</table>

<script>

$(document).ready(function() {

	$('.checkDescarga').on('click',function(){
	
		var codigo=$(this).attr('codigo');
		var valor=$(this).is(':checked');
		var cantidad=$('#operacion-Descargas-cantidad-'+codigo).val();
	
		$('.checkDescarga').prop('checked',false);
		$('.campoCantidadDescarga').val('');
		
		if(valor) $(this).prop('checked',true);

	});

	$('.campoCantidadDescarga').on('change',function(){
		
		var codigo=$(this).attr('codigo');
		var cantidad=parseFloat($(this).val());
		
		if( $(this).val()=='' ) {
			$('#operacion-Descargas-selector-'+codigo).prop('checked',false);
		}
		else {
			$('#operacion-Descargas-selector-'+codigo).prop('checked',true);
		}
	
	});
	
	$('.botonBorrarDescarga').on('click',function(){
	
		var codigo=$(this).attr('codigo');
		$('#operacion-Descargas-selector-'+codigo).prop('checked',false);
		
	});
	
	///

	$('.checkServicio').on('click',function(){
	
		var codigo=$(this).attr('codigo');
		var valor=$(this).is(':checked');
	
		if(!valor) {
			$('#operacion-Servicios-cantidad-'+codigo).val('');
		}
	
	});

	$('.campoCantidadServicio').on('change',function(){
		
		var codigo=$(this).attr('codigo');
		var cantidad=parseFloat($(this).val());
		
		if( $(this).val()=='' ) {
			$('#operacion-Servicios-selector-'+codigo).prop('checked',false);
		}
		else {
			$('#operacion-Servicios-selector-'+codigo).prop('checked',true);
		}
	
	});
	
	$('.botonBorrarServicio').on('click',function(){
	
		var codigo=$(this).attr('codigo');
		$('#operacion-Servicios-selector-'+codigo).prop('checked',false);
		
	});
	
	<?php if($_SESSION['parteCIP']['Firmado']) { ?>
	
	$('.campo').addClass('deshabilitado');
	$('.campo').prop('readonly',true);
	
	$('.CIPiconoTeclado').hide();
	$('.CIPiconoCalculadora').hide();
	$('.CIPiconoReloj').hide();
	$('.CIPiconoBorrar').hide();
	$('.productoBorrar').hide();
	
	$('.checkGrande').on('click',function(){
		return false;
	});
	
	<?php } ?>


});

</script>

<?php } ?>